Bug 841287 - [RFE] Display facts of ec2_*
[RFE] Display facts of ec2_*
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Bryan Kearney
John Sefler
: FutureFeature
Depends On: 841227
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2012-07-18 11:02 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 841227
Environment:
Last Closed: 2014-01-03 15:18:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-07-18 11:02:20 EDT
+++ This bug was initially created as a clone of Bug #841227 +++

Description of problem:
Recently facter displays really a nice list of EC2 properties that could become very useful for the clients. Worth having it implemented in Katello too!
Like:
---
c2_ami_id => ami-cc5af9a5
ec2_ami_launch_index => 0
ec2_ami_manifest_path => (unknown)
ec2_block_device_mapping_ami => /dev/sda1
ec2_block_device_mapping_ephemeral0 => /dev/sdf
ec2_block_device_mapping_ephemeral1 => /dev/sdg
ec2_block_device_mapping_root => /dev/sda1
ec2_hostname => ip-10-28-201-23.ec2.internal
ec2_instance_id => i-7e6a2d06
ec2_instance_type => t1.micro
ec2_kernel_id => aki-08ed0761
ec2_local_hostname => ip-10-28-201-23.ec2.internal
ec2_local_ipv4 => 10.28.201.23
ec2_placement_availability_zone => us-east-1b
ec2_profile => default-paravirtual
ec2_public_hostname => ec2-<elastic-ip>.compute-1.amazonaws.com
ec2_public_ipv4 => <Elastic IPv4>
ec2_public_keys_0_openssh_key => <key_here>
ec2_reservation_id => r-2cab5d48
ec2_security_groups => quick-start-1
---


Version-Release number of selected component (if applicable):
pulp-common-1.1.11-1.el6.noarch
katello-certs-tools-1.1.6-1.git.572.1606589.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
katello-glue-pulp-0.2.45-1.git.20.0d974f6.el6.noarch
katello-0.2.45-1.git.20.0d974f6.el6.noarch
katello-configure-0.2.30-1.git.16.0e273d4.el6.noarch
candlepin-tomcat6-0.5.32-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-0.2.43-1.git.0.07c77a6.el6.noarch
katello-cli-0.2.43-1.git.0.07c77a6.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
mod_wsgi-3.3-3.pulp.el6.x86_64
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-glue-foreman-0.2.45-1.git.20.0d974f6.el6.noarch
katello-selinux-0.2.6-1.git.9.1606589.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-agent-1.0.4-1.git.11.1606589.el6.noarch
python-qpid-0.14-7.el6_2.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-glue-candlepin-0.2.45-1.git.20.0d974f6.el6.noarch
pulp-1.1.11-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
candlepin-0.5.32-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
katello-common-0.2.45-1.git.20.0d974f6.el6.noarch
katello-repos-0.2.5-1.el6.noarch
pulp-selinux-server-1.1.11-1.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.register RHEL 6.3 ec2 system to the Katello
2.run `facter|grep ec2_` on that machine
3.
  
Actual results:
no info on UI

Expected results:
ec2 group with the info above

Additional info:
Comment 1 Mike McCune 2012-08-01 11:17:09 EDT
this is a RHSM/Candlepin bug.   moving
Comment 2 Adrian Likins 2013-05-24 10:39:08 EDT
This would be an excellent use of subscription-managers plugin support.

In fact, there is an example plugin that uses 'facter' to augment the
collected facts (subscription-manager/example-plugins/facts.py). 

That sample plugin works, but could use some testing/hardening to make it production ready.

Note You need to log in before you can comment on or make changes to this bug.